﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace FieldContentUpdate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new List<Data>
            {
                new Data { Name = "Name 1", Type = "Basket" },
                new Data { Name = "Name 2", Type = "Aggregation" },
                new Data { Name = "Name 3", Type = "Aggregation" },
                new Data { Name = "Name 4", Type = "Basket" },
            };
        }
    }

    public class Data :INotifyPropertyChanged
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs("Name")); }
        }


        private string type;

        public string Type
        {
            get { return type; }
            set { type = value; if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs("Type")); }
        }


        public event PropertyChangedEventHandler PropertyChanged;
    }
}
